Package com.independentsoft.office.spreadsheet.connections

# Class Connection

java.lang.Object
com.independentsoft.office.spreadsheet.connections.Connection

public class Connection extends Object
The Class Connection.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Connection()`
  Instantiates a new connection.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Connection`
  `clone()`
  `int`
  `getAutomaticRefreshInterval()`
  Gets the automatic refresh interval.
  `String`
  `getConnectionFile()`
  Gets the connection file.
  `CredentialsMethod`
  `getCredentials()`
  Gets the credentials.
  `DatabaseProperties`
  `getDatabaseProperties()`
  Gets the database properties.
  `DatabaseSourceType`
  `getDatabaseSourceType()`
  Gets the database source type.
  `String`
  `getDescription()`
  Gets the description.
  `int`
  `getID()`
  Gets the id.
  `int`
  `getMinimumRefreshableVersion()`
  Gets the minimum refreshable version.
  `String`
  `getName()`
  Gets the name.
  `OlapProperties`
  `getOlapProperties()`
  Gets the olap properties.
  `List<Parameter>`
  `getQueryParameters()`
  Gets the query parameters.
  `ReconnectionMethod`
  `getReconnectionMethod()`
  Gets the reconnection method.
  `int`
  `getRefreshedVersion()`
  Gets the refreshed version.
  `String`
  `getSingleSignOnID()`
  Gets the single sign on id.
  `String`
  `getSourceFile()`
  Gets the source file.
  `TextImportSettings`
  `getTextImportSettings()`
  Gets the text import settings.
  `WebQueryProperties`
  `getWebQueryProperties()`
  Gets the web query properties.
  `boolean`
  `isBackgroundRefresh()`
  Checks if is background refresh.
  `boolean`
  `isDeleted()`
  Checks if is deleted.
  `boolean`
  `isKeepAlive()`
  Checks if is keep alive.
  `boolean`
  `isNew()`
  Checks if is new.
  `boolean`
  `isOnlyUseConnectionFile()`
  Checks if is only use connection file.
  `boolean`
  `isRefreshOnLoad()`
  Checks if is refresh on load.
  `boolean`
  `isSaveData()`
  Checks if is save data.
  `boolean`
  `isSavePassword()`
  Checks if is save password.
  `void`
  `setAutomaticRefreshInterval​(int automaticRefreshInterval)`
  Sets the automatic refresh interval.
  `void`
  `setBackgroundRefresh​(boolean backgroundRefresh)`
  Sets the background refresh.
  `void`
  `setConnectionFile​(String connectionFile)`
  Sets the connection file.
  `void`
  `setCredentials​(CredentialsMethod credentials)`
  Sets the credentials.
  `void`
  `setDatabaseSourceType​(DatabaseSourceType databaseSourceType)`
  Sets the database source type.
  `void`
  `setDeleted​(boolean isDeleted)`
  Sets the deleted.
  `void`
  `setDescription​(String description)`
  Sets the description.
  `void`
  `setID​(int id)`
  Sets the id.
  `void`
  `setKeepAlive​(boolean keepAlive)`
  Sets the keep alive.
  `void`
  `setMinimumRefreshableVersion​(int minimumRefreshableVersion)`
  Sets the minimum refreshable version.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setNew​(boolean isNew)`
  Sets the new.
  `void`
  `setOnlyUseConnectionFile​(boolean onlyUseConnectionFile)`
  Sets the only use connection file.
  `void`
  `setReconnectionMethod​(ReconnectionMethod reconnectionMethod)`
  Sets the reconnection method.
  `void`
  `setRefreshedVersion​(int refreshedVersion)`
  Sets the refreshed version.
  `void`
  `setRefreshOnLoad​(boolean refreshOnLoad)`
  Sets the refresh on load.
  `void`
  `setSaveData​(boolean saveData)`
  Sets the save data.
  `void`
  `setSavePassword​(boolean savePassword)`
  Sets the save password.
  `void`
  `setSingleSignOnID​(String singleSignOnID)`
  Sets the single sign on id.
  `void`
  `setSourceFile​(String sourceFile)`
  Sets the source file.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Connection

    public Connection()
    Instantiates a new connection.

- ## Method Details

  - ### clone

    public Connection clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDatabaseProperties

    public DatabaseProperties getDatabaseProperties()
    Gets the database properties.
    Returns:
      the database properties

  - ### getOlapProperties

    public OlapProperties getOlapProperties()
    Gets the olap properties.
    Returns:
      the olap properties

  - ### getQueryParameters

    public List<Parameter> getQueryParameters()
    Gets the query parameters.
    Returns:
      the query parameters

  - ### getTextImportSettings

    public TextImportSettings getTextImportSettings()
    Gets the text import settings.
    Returns:
      the text import settings

  - ### getWebQueryProperties

    public WebQueryProperties getWebQueryProperties()
    Gets the web query properties.
    Returns:
      the web query properties

  - ### isBackgroundRefresh

    public boolean isBackgroundRefresh()
    Checks if is background refresh.
    Returns:
      true, if is background refresh

  - ### setBackgroundRefresh

    public void setBackgroundRefresh​(boolean backgroundRefresh)
    Sets the background refresh.
    Parameters:
      `backgroundRefresh` - the new background refresh

  - ### getCredentials

    public CredentialsMethod getCredentials()
    Gets the credentials.
    Returns:
      the credentials

  - ### setCredentials

    public void setCredentials​(CredentialsMethod credentials)
    Sets the credentials.
    Parameters:
      `credentials` - the new credentials

  - ### isDeleted

    public boolean isDeleted()
    Checks if is deleted.
    Returns:
      true, if is deleted

  - ### setDeleted

    public void setDeleted​(boolean isDeleted)
    Sets the deleted.
    Parameters:
      `isDeleted` - the new deleted

  - ### getDescription

    public String getDescription()
    Gets the description.
    Returns:
      the description

  - ### setDescription

    public void setDescription​(String description)
    Sets the description.
    Parameters:
      `description` - the new description

  - ### getID

    public int getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(int id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getAutomaticRefreshInterval

    public int getAutomaticRefreshInterval()
    Gets the automatic refresh interval.
    Returns:
      the automatic refresh interval

  - ### setAutomaticRefreshInterval

    public void setAutomaticRefreshInterval​(int automaticRefreshInterval)
    Sets the automatic refresh interval.
    Parameters:
      `automaticRefreshInterval` - the new automatic refresh interval

  - ### isKeepAlive

    public boolean isKeepAlive()
    Checks if is keep alive.
    Returns:
      true, if is keep alive

  - ### setKeepAlive

    public void setKeepAlive​(boolean keepAlive)
    Sets the keep alive.
    Parameters:
      `keepAlive` - the new keep alive

  - ### getMinimumRefreshableVersion

    public int getMinimumRefreshableVersion()
    Gets the minimum refreshable version.
    Returns:
      the minimum refreshable version

  - ### setMinimumRefreshableVersion

    public void setMinimumRefreshableVersion​(int minimumRefreshableVersion)
    Sets the minimum refreshable version.
    Parameters:
      `minimumRefreshableVersion` - the new minimum refreshable version

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### isNew

    public boolean isNew()
    Checks if is new.
    Returns:
      true, if is new

  - ### setNew

    public void setNew​(boolean isNew)
    Sets the new.
    Parameters:
      `isNew` - the new new

  - ### getConnectionFile

    public String getConnectionFile()
    Gets the connection file.
    Returns:
      the connection file

  - ### setConnectionFile

    public void setConnectionFile​(String connectionFile)
    Sets the connection file.
    Parameters:
      `connectionFile` - the new connection file

  - ### isOnlyUseConnectionFile

    public boolean isOnlyUseConnectionFile()
    Checks if is only use connection file.
    Returns:
      true, if is only use connection file

  - ### setOnlyUseConnectionFile

    public void setOnlyUseConnectionFile​(boolean onlyUseConnectionFile)
    Sets the only use connection file.
    Parameters:
      `onlyUseConnectionFile` - the new only use connection file

  - ### getReconnectionMethod

    public ReconnectionMethod getReconnectionMethod()
    Gets the reconnection method.
    Returns:
      the reconnection method

  - ### setReconnectionMethod

    public void setReconnectionMethod​(ReconnectionMethod reconnectionMethod)
    Sets the reconnection method.
    Parameters:
      `reconnectionMethod` - the new reconnection method

  - ### getRefreshedVersion

    public int getRefreshedVersion()
    Gets the refreshed version.
    Returns:
      the refreshed version

  - ### setRefreshedVersion

    public void setRefreshedVersion​(int refreshedVersion)
    Sets the refreshed version.
    Parameters:
      `refreshedVersion` - the new refreshed version

  - ### isRefreshOnLoad

    public boolean isRefreshOnLoad()
    Checks if is refresh on load.
    Returns:
      true, if is refresh on load

  - ### setRefreshOnLoad

    public void setRefreshOnLoad​(boolean refreshOnLoad)
    Sets the refresh on load.
    Parameters:
      `refreshOnLoad` - the new refresh on load

  - ### isSaveData

    public boolean isSaveData()
    Checks if is save data.
    Returns:
      true, if is save data

  - ### setSaveData

    public void setSaveData​(boolean saveData)
    Sets the save data.
    Parameters:
      `saveData` - the new save data

  - ### isSavePassword

    public boolean isSavePassword()
    Checks if is save password.
    Returns:
      true, if is save password

  - ### setSavePassword

    public void setSavePassword​(boolean savePassword)
    Sets the save password.
    Parameters:
      `savePassword` - the new save password

  - ### getSingleSignOnID

    public String getSingleSignOnID()
    Gets the single sign on id.
    Returns:
      the single sign on id

  - ### setSingleSignOnID

    public void setSingleSignOnID​(String singleSignOnID)
    Sets the single sign on id.
    Parameters:
      `singleSignOnID` - the new single sign on id

  - ### getSourceFile

    public String getSourceFile()
    Gets the source file.
    Returns:
      the source file

  - ### setSourceFile

    public void setSourceFile​(String sourceFile)
    Sets the source file.
    Parameters:
      `sourceFile` - the new source file

  - ### getDatabaseSourceType

    public DatabaseSourceType getDatabaseSourceType()
    Gets the database source type.
    Returns:
      the database source type

  - ### setDatabaseSourceType

    public void setDatabaseSourceType​(DatabaseSourceType databaseSourceType)
    Sets the database source type.
    Parameters:
      `databaseSourceType` - the new database source type